Bug 838250

Summary: Dialog has really small text field
Product: [Fedora] Fedora Reporter: Andreas Nilsson <bugs>
Component: opensshAssignee: Petr Lautrbach <plautrba>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: mattias.ellert, mgrepl, plautrba, tmraz
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-16 13:46:41 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
screenshot of issue none

Description Andreas Nilsson 2012-07-07 17:38:49 EDT
Created attachment 596815 [details]
screenshot of issue

(I think this is a openssh bug, but feel free to move or close if that is not the case)

I ran into this dialog the other day. The Knightrider-effect and the layout is a bit odd, but the main issue is mostly the really small input box. It's too small to type in.
Comment 1 Mattias Ellert 2012-07-09 03:11:51 EDT
Unfortunatelly I think this was done on purpose. The programmer wanted to add security through obscurity by making sure the text field is so small that the full length of any password will never fit in it, thereby not making it possible to see the length of the password. Of course at the same time it makes it more difficult to use it, since you no longer have any visual response to the keystrokes you type when entering the password.

Personally I agree with you that this feature is silly and should be removed, and I have contemplated sending the same bug report myself one some occasions, but never did. It is not really a bug per se, but an extremely silly and user-unfriendly design choice. Especially since you can see the length of the passward anyway if you select all text in the textbox and copy it to somewhere else (like a terminal window).

I wish you luck in convincing the upstream programmers to change it.
Comment 2 Fedora End Of Life 2013-01-16 12:02:20 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping